Move devscripts from a lot of packages to -recommended
[debian.org.git] / debian / control
1 Source: debian.org
2 Section: local/admin
3 Priority: required
4 Maintainer: Debian sysadmin Team <debian-admin@debian.org>
5 Uploaders: Peter Palfrader <weasel@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Stephen Gran <sgran@debian.org>, Luca Filipozzi <lfilipoz@debian.org>
6 Build-Depends: debhelper (>= 7)
7 Standards-Version: 3.8.1
8
9 Package: debian.org
10 Architecture: all
11 Depends: userdir-ldap, zsh, tcsh, pdksh, ksh, csh, ntp, locales-all, exim4-daemon-heavy | postfix, sudo, libpam-pwdfile, vim, nano, munin-node, gnupg, bzip2, cacert-spi | ca-certificates (>> 20080411), ed, cron, dialog, libterm-readline-gnu-perl, logrotate, syslog-ng (>= 3.1), nagios-plugins-standard (>= 1.4.15) | nagios-plugins-basic
12 Recommends: debian.org-recommended
13 Conflicts: dchroot-dsa (<= 2:1)
14 Description: DSA's host metapackage
15  This package depends on packages that should be installed on every
16  debian.org host, and conflicts with packages that should never be
17  installed.
18
19 Package: debian.org-recommended-linux
20 Architecture: all
21 Depends: vlan, ifenslave, bridge-utils, iproute,
22         strace,
23         lsscsi,
24         ethtool,
25         bwm-ng,
26         iputils-tracepath,
27         traceroute,
28         lshw,
29         lsof
30 Description: metapackage to pull in recommended, but not essential tools for linux system
31  This package depends on packages that are recommended to  be installed on
32  every Linux debian.org host but are not essential.
33
34 Package: debian.org-recommended
35 Architecture: any
36 Depends: debian.org,
37         busybox-static,
38         debian.org-recommended-linux [linux-any],
39         molly-guard
40         ,
41         man-db
42         ,
43         devscripts
44         ,
45         subversion, rcs, git, bzr,
46                 git-svn,
47                 subversion-tools,
48                 mercurial,
49                 cvs
50         ,
51         mtr-tiny, tcpdump, tcptraceroute, ndisc6,
52         bind9-host, dnsutils, whois, unbound-host
53         ,
54         emacs24-nox | emacs24 | emacs23-nox | emacs23 | emacs22-nox | emacs22 | emacs21-nox | emacs21,
55         vim-scripts, vim-addon-manager
56         ,
57         at, uptimed,
58         puppet,
59                 libaugeas-ruby,
60                 libaugeas-ruby1.8,
61                 libaugeas0,
62                 augeas-lenses (>= 0.7),
63         locate, dlocate
64         ,
65         dsa-nagios-checks
66         ,
67         munin-plugins-extra
68         ,
69         dmidecode [amd64 i386 ia64],
70         edac-utils,
71         sg3-utils
72         ,
73         ipython
74         ,
75         mcelog [amd64 i386]
76         ,
77         htop, psmisc,
78         ,
79         ncdu,
80         mc,
81                 genisoimage,
82         less,
83         rsync,
84         screen,
85         tmux,
86         ldap-utils, ldapvi,
87         mmv,
88         moreutils,
89         patchutils,
90         diffstat,
91         bc,
92         netcat-openbsd, socat, telnet
93         ,
94         deborphan
95         ,
96         file
97         ,
98         buffer
99         ,
100         bsd-mailx
101         ,
102         timeout | coreutils (>= 8.0-1)
103         ,
104         wget, curl, lftp, ftp,
105         ,
106         dput
107         ,
108         uuid-runtime
109         ,
110         finger
111         ,
112         xz-utils,
113         pigz,
114         unzip
115         ,
116         w3m,
117         elinks,
118         mutt
119         ,
120         ccze,
121         multitail
122 Description: metapackage to pull in recommended, but not essential tools
123  This package depends on packages that are recommended to  be installed on
124  every debian.org host but are not essential.
125
126 Package: debian.org-bugs.debian.org
127 Architecture: all
128 Depends: graphviz,
129         libcgi-simple-perl,
130         libgravatar-url-perl,
131         libio-stringy-perl,
132         liblist-moreutils-perl,
133         libmail-rfc822-address-perl,
134         libmime-tools-perl,
135         libmldbm-perl,
136         libparams-validate-perl,
137         libsafe-hole-perl,
138         libtext-template-perl,
139         liburi-perl,
140         libhtml-tree-perl,
141         libsoap-lite-perl,
142         libtext-iconv-perl,
143         libdbd-pg-perl,
144         libfile-libmagic-perl,
145         python-pyinotify,
146         python-yaml
147 Description: metapackages for bugs.debian.org dependencies
148  This package depends on everything that is needed for a bugs.debian.org
149  mirror or (in the future) bugs-master.
150
151 Package: debian.org-bugs.debian.org-master
152 Architecture: all
153 Depends: debian.org-bugs.debian.org,
154         gnuplot,
155         ttf-liberation,
156         kgb-client-git,
157         lynx    
158 Description: metapackages for bugs-master.debian.org dependencies
159  This package depends on everything that is needed for a
160  bugs-master.debian.org
161
162 Package: debian.org-bugs.debian.org-search
163 Architecture: all
164 Depends: debian.org-bugs.debian.org,
165         hyperestraier,
166         libdate-manip-perl,
167         libsearch-estraier-perl
168 Description: metapackages for bugs-search.debian.org dependencies
169  This package depends on everything that is needed for a
170  bugs-search.debian.org
171
172 Package: debian.org-bugs.debian.org-mx
173 Architecture: all
174 Depends: debian.org-bugs.debian.org,
175         spamassassin,
176         build-essential,
177         spamc,
178         libmail-spf-perl,
179         re2c,
180         libsys-syslog-perl,
181         libio-socket-inet6-perl,
182         libnet-ident-perl,
183         libdbi-perl,
184         pyzor,
185         libmail-dkim-perl,
186         libdbd-pg-perl
187 Description: metapackages for bugs.debian.org mail exchanger
188  This package depends on everything that is needed for a bugs.debian.org
189  MX.
190
191
192 Package: debian.org-packages-master.debian.org
193 Architecture: all
194 Depends: debian.org-packages.debian.org,
195         procmail,
196         gettext,
197         libhtml-template-perl,
198         libxml-rss-perl,
199         libtimedate-perl,
200         libio-stringy-perl,
201         freecdb,
202         tig
203 Description: metapackages for packages.debian.org dependencies
204  This package depends on everything that is needed for a
205  packages-master.debian.org server.  For the mirrors all you need is the
206  debian.org-packages.debian.org package.
207
208 Package: debian.org-packages.debian.org
209 Architecture: all
210 Depends: liblocale-maketext-lexicon-perl,
211         libi18n-acceptlanguage-perl,
212         libnumber-format-perl,
213         libcompress-zlib-perl,
214         libhtml-parser-perl,
215         libmldbm-perl,
216         libtext-iconv-perl,
217         libclass-accessor-perl,
218         liburi-perl,
219         libtemplate-perl,
220         liblingua-stem-perl,
221         libsearch-xapian-perl,
222         libtimedate-perl,
223         libcgi-fast-perl,
224         libapache2-mod-fcgid,
225         dpkg-dev,
226         rsync
227 Description: metapackages for packages.debian.org dependencies
228  This package depends on everything that is needed for a packages.debian.org
229  mirror.  For packages-master install the debian.org-packages-master.debian.org
230  package.
231
232 Package: debian.org-www-master.debian.org
233 Architecture: all
234 Depends: debiandoc-sgml,
235         asciidoc,
236         cm-super,
237         debhelper,
238         docbook,
239         docbook-dsssl,
240         docbook-xsl,
241         dpkg-dev,
242         gawk (>= 1:4.0.1),
243         gettext,
244         ghostscript,
245         imagemagick,
246         iso-codes,
247         isoquery,
248         jadetex,
249         kcc,
250         ko.tex-base,
251         latex-cjk-all,
252         latex-cjk-chinese,
253         ldap-utils,
254         libemail-address-perl,
255         libintl-perl,
256         libmime-lite-perl,
257         libnet-ldap-perl,
258         libsoap-lite-perl,
259         libtimedate-perl,
260         libwww-perl,
261         libxml2-utils,
262         libxml-rss-perl,
263         locales, locales-all,
264         lmodern,
265         maildrop,
266         opencc,
267         openjade,
268         openjade1.3,
269         po4a,
270         poxml,
271         procmail,
272         texlive-fonts-recommended,
273         texlive-lang-all,
274         latex-cjk-japanese,
275         texlive-latex-base,
276         texlive-latex-extra,
277         texlive-latex-recommended,
278         tidy,
279         time,
280         ttf-arphic-uming,
281         ttf-malayalam-fonts,
282         uni2ascii,
283         wml,
284         xmlroff, dblatex,
285         xplanet,
286         xplanet-images,
287         xsltproc,
288         libjson-perl
289 Description: metapackages for www-master.debian.org dependencies
290  This package depends on everything that is needed for a www-master.debian.org.
291
292
293 Package: debian.org-buildd.debian.org
294 Architecture: all
295 Depends:
296         dose-builddebcheck,
297         dose-distcheck,
298         edos-distcheck,
299         ghostscript,
300         libcompress-bzip2-perl,
301         libcompress-zlib-perl,
302         libhash-merge-perl,
303         libmailtools-perl,
304         libdbi-perl,
305         libdbd-pg-perl,
306         libfile-spec-perl,
307         libstring-escape-perl,
308         libstring-format-perl,
309         libyaml-tiny-perl,
310         python-apt,
311         python-contract,
312         python-coverage,
313         python-debian,
314         python-psycopg2,
315         python-mako,
316         python-nose,
317         python-sqlalchemy,
318         r-base-core,
319         r-cran-lattice,
320         moreutils (>= 0.39~),
321         libdpkg-perl,
322         php5,
323         php5-cgi,
324         php5-pgsql,
325         libapache2-mod-fcgid,
326         libgmp10,
327         libyaml-libyaml-perl
328 Description: metapackages for buildd.debian.org dependencies
329  This package depends on everything that is needed for a buildd.debian.org.
330
331
332 Package: debian.org-patch-tracker.debian.org
333 Architecture: all
334 Depends: patchutils,
335         python,
336         python-cheetah,
337         python-pygments,
338         python-debian,
339         reprepro,
340         python-wsgiref,
341         python-simplejson,
342         python-pysqlite2,
343         diffstat
344 Description: metapackages for patch-tracker.debian.org dependencies
345  This package depends on everything that is needed for a patch-tracker.debian.org.
346
347 Package: debian.org-planet.debian.org
348 Architecture: all
349 Depends: libwww-perl,
350         timeout | coreutils (>= 8.0-1),
351         debianutils,
352         python-django,
353         python,
354         libdbi-perl, libdate-manip-perl, libdbd-sqlite3-perl
355 Description: metapackages for planet.debian.org dependencies
356  This package depends on everything that is needed for a planet.debian.org.
357
358 Package: debian.org-testing-security.debian.org
359 Architecture: all
360 Depends: libdbd-sqlite3-perl,
361         sqlite3,
362         python-apsw,
363         libterm-readline-gnu-perl,
364         python-apt
365 Description: metapackages for testing-security.debian.org dependencies
366  This package depends on everything that is needed for a testing-security.debian.org.
367
368 Package: debian.org-ftpmaster.debian.org
369 Architecture: all
370 Depends: apt-utils,
371         libapt-pkg-dev,
372         libemail-send-perl,
373         python-apt,
374         python-debianbts (>= 1.4~bpo50+1),
375         lintian,
376         python,
377         python-debian,
378         python-gnupginterface,
379         python-ldap,
380         python-psycopg2,
381         python-pygresql,
382         python-pyrss2gen,
383         python-yaml,
384         python-rrdtool,
385         python-sqlalchemy,
386         binutils-multiarch,
387         build-essential,
388         graphviz,
389         ikiwiki,
390         libdbd-pg-ruby,
391         python-epydoc,
392         python-numpy,
393         python-soappy,
394         r-base,
395         symlinks,
396         python-magic,
397         unp,
398         procmail,
399         cvs,
400         ruby,
401         lynx,
402         libxml-rss-perl,
403         ghostscript,
404         perforate,
405         wdiff
406 Description: metapackage for ftpmaster
407  This package depends on everything that is needed for an ftpmaster setup.
408
409 Package: debian.org-ftpmaster.debian.org-poneys
410 Architecture: all
411 Depends: bicyclerepair,
412         dpkg-dev-el,
413         easypg,
414         emacs-goodies-el,
415         pychecker,
416         pylint,
417         python-mode,
418         gitstats,
419         colordiff
420 Description: metapackage for ftpmaster extras
421  Things not really needed needed.
422
423 Package: debian.org-release.debian.org
424 Architecture: all
425 Depends: edos-debcheck,
426         dose-distcheck,
427         dose-builddebcheck,
428         mutt,
429         subversion,
430         python2.7,
431         python2.7-dev,
432         python-dev,
433         wdiff,
434         python-pygresql,
435         python-libxslt1,
436         python-apt,
437         python-debian,
438         libapt-pkg-perl,
439         libapt-pkg-dev,
440         dpkg-dev,
441         procmail,
442         rrdtool,
443         python3-apt,
444         picosat,
445         openjdk-6-jre-headless,
446         git-email,
447         python-networkx,
448         python-pygraphviz,
449         python-yaml,
450 Description: metapackage for release
451  This package depends on everything that is needed for a release.debian.org
452  setup.
453
454 Package: debian.org-cdbuilder.debian.org
455 Architecture: all
456 Depends: bittornado,
457         build-essential,
458         debhelper,
459         debian-cd,
460         jigit,
461         m4,
462         tofrodos,
463         zip,
464         zsync,
465         fakeroot,
466         dosfstools,
467         libsoap-lite-perl,
468         mtools
469 Description: metapackage for cdbuilder
470  This package depends on all the packages that are needed for a cdbuilder setup.
471
472 Package: debian.org-cdimage-search.debian.org
473 Architecture: all
474 Depends: libconfigreader-simple-perl
475 Description: metapackage for cdimage-search.debian.org
476  This package depends on all the packages that are needed for the CD/DVD search CGI website
477
478 Package: debian.org-manpages.debian.org
479 Architecture: all
480 Depends: locales-all,
481         ghostscript
482 Description: metapackage for manpages
483  This package depends on all the packages that are needed for manpages.d.o setup.
484
485 Package: debian.org-nm.debian.org
486 Architecture: all
487 Depends: libapache2-mod-wsgi,
488         mutt, mboxgrep,
489         python,
490         python-mako (>= 0.2.5), python-gnupginterface, python-ldap,
491         python-apt, python-beautifulsoup, python-debianbts, python-dns,
492         python-dnspython, python-egenix-mxdatetime, python-egenix-mxtools,
493         python-elementtree | python (>= 2.6), python-flup, python-libxml2,
494         python-lxml, python-psycopg2, python-soappy,
495         python-xapian,
496         python-dateutil,
497         python-debian,
498         python-django (>= 1.5),
499         python-django-south,
500         python-debiancontributors,
501         python-tz,
502         python-markdown,
503         python-lzma,
504         python-requests (>= 2.0.0),
505         procmail,
506         moreutils,
507         libjs-jquery,
508         postgresql-client
509 Description: metapackage for nm.debian.org
510  This package depends on all the packages that are needed for nm.debian.org setup.
511
512 Package: debian.org-backports.debian.org
513 Architecture: all
514 Depends: debian.org-ftpmaster.debian.org,
515         libdbi-perl, libdbd-pg-perl
516 Description: metapackage for backports.debian.org
517  This package depends on all the packages that are needed for backports.debian.org setup.
518
519 Package: debian.org-qa.debian.org
520 Architecture: all
521 Depends: db4.8-util,
522         gnuplot-nox,
523         wml,
524         libapt-pkg-perl,
525                 libdbd-pg-perl,
526                 libdate-manip-perl,
527                 libdpkg-perl,
528                 libmailtools-perl,
529                 libsoap-lite-perl,
530                 libtemplate-perl,
531                 libxml-simple-perl,
532                 libmail-sendmail-perl,
533                 libdate-calc-perl,
534                 libnet-ldap-perl,
535                 libjson-perl,
536         php5, php5-cgi, php5-cli,
537                 php5-ldap, php5-pgsql,
538                 libapache2-mod-fcgid,
539         python-apt, python-psycopg2, python-gpgme,
540         python3, python3-psycopg2,
541         postgresql-client,
542         libdbd-pg-ruby,
543         rrdtool,
544         raptor-utils | raptor2-utils,
545         dose-distcheck, dose-builddebcheck, python3-yaml, python3-debian
546 Description: metapackage for qa.debian.org
547  This package depends on all the packages that are needed for qa.debian.org setup.
548
549 Package: debian.org-packages.qa.debian.org
550 Architecture: all
551 Depends: db4.7-util,
552         libmailtools-perl,
553         libmime-tools-perl,
554         libmail-verp-perl,
555         xsltproc,
556         mhonarc,
557         python,
558         python-lxml,
559         python-soappy,
560         python-debian,
561         python-yaml,
562         python-zsi
563 Description: metapackage for packages.qa.debian.org
564  This package depends on all the packages that are needed for packages.qa.debian.org setup.
565
566 Package: debian.org-tracker.debian.org
567 Architecture: all
568 Depends:
569 # Runtime
570         libapache2-mod-wsgi,
571         python-apt,
572         python-bs4,
573         python-debian,
574         python-django (>= 1.6),
575         python-django-jsonfield,
576         python-django-south,
577         python-gpgme,
578         python-ldap,
579         python-lzma,
580         python-requests (>= 2),
581         python-soappy,
582         python-yaml,
583         dpkg-dev,
584 # Database access
585         python-psycopg2,
586         postgresql-client,
587 # Test suite and docs
588         python-mock,
589         python-sphinx,
590 Description: metapackage for tracker.debian.org
591  This package depends on all the packages that are needed for tracker.debian.org.
592
593 Package: debian.org-udd.debian.org
594 Architecture: all
595 Depends: curl,
596         dpkg-dev,
597         graphviz,
598         libapt-pkg-dev,
599         libcrypt-ssleay-perl,
600         libcgi-simple-perl,
601         libdbd-pg-perl,
602         libdbd-pg-ruby,
603         libdbi-perl,
604         libdbi-ruby,
605         libdpkg-ruby,
606         libio-stringy-perl,
607         libjson-ruby,
608         liblist-moreutils-perl,
609         libmime-tools-perl,
610         libmldbm-perl,
611         libparams-validate-perl,
612         libperl-dev,
613         libsafe-hole-perl,
614         libtext-template-perl,
615         libyaml-syck-perl,
616         postgresql-autodoc,
617         python-dateutil,
618         python-debian,
619         python-dev,
620         python-launchpadlib,
621         python-psycopg2,
622         python-yaml,
623         ruby-oj
624 Description: metapackage for udd.debian.org
625  This package depends on all the packages that are needed for udd.debian.org setup.
626
627 Package: debian.org-snapshot.debian.org
628 Architecture: all
629 Depends: ruby, libdbd-pg-ruby1.8, libbz2-ruby1.8, libbz2-ruby1.8, python-yaml, python-psycopg2, python-lockfile, fuse-utils, python-fuse, uuid-runtime,
630         python-dev, gcc,
631         python-pylons
632 Description: metapackage for snapshot.debian.org
633  This package depends on all the packages that are needed for snapshot.debian.org setup.
634
635 Package: debian.org-women.debian.org
636 Architecture: all
637 Depends: wml
638 Description: metapackages for women.debian.org dependencies
639  This package depends on everything that is needed for women.debian.org.
640
641
642 Package: debian.org-lintian.debian.org
643 Architecture: all
644 Depends:   binutils,
645         binutils-multiarch,
646         bzip2,
647         diffstat,
648         dpkg-dev,
649         debhelper,
650         fakeroot,
651         file,
652         gettext,
653         gnuplot-nox | gnuplot,
654         hardening-includes (>= 2.2~),
655         intltool-debian,
656         libapt-pkg-perl,
657         libarchive-zip-perl,
658         libclass-accessor-perl,
659         libclone-perl,
660         libdigest-sha-perl,
661         libdpkg-perl,
662         libemail-valid-perl,
663         libfile-basedir-perl,
664         libhtml-parser-perl,
665         libipc-run-perl,
666         liblist-moreutils-perl,
667         libparse-debianchangelog-perl,
668         libperlio-gzip-perl,
669         libtimedate-perl,
670         libtext-levenshtein-perl,
671         libtext-template-perl,
672         liburi-perl,
673         locales,
674         man-db,
675         perl,
676         perl (>= 5.14~) | libautodie-perl (>= 2.10~),
677         t1utils,
678         unzip
679         ,
680         docbook-utils,
681         docbook-xml
682         ,
683 Description: metapackages for lintian.debian.org dependencies
684  This package depends on everything that is needed for lintian.debian.org.
685
686 Package: debian.org-popcon.debian.org
687 Architecture: all
688 Depends:  libchart-perl
689 Description: metapackages for popcon.debian.org dependencies
690  This package depends on everything that is needed for popcon.debian.org.
691
692 Package: debian.org-dde.debian.net
693 Architecture: all
694 Depends: python-apt,
695         python-debian,
696         python-debianbts,
697         python-feedparser,
698         python-flup,
699         python-nose,
700         python-paste,
701         python-psycopg2,
702         python-pyrss2gen,
703         python-soappy,
704         python-werkzeug,
705         python-xapian,
706         python-yaml
707 Description: metapackages for dde.debian.net dependencies
708  This package depends on everything that is needed for dde.debian.net.
709
710 Package: debian.org-debtags.debian.net
711 Architecture: all
712 Depends: python-apt,
713         python-debian,
714         python-django,
715         python-django-registration,
716         python-xapian (>= 1.2.7-1~bpo60+1),
717         python-psycopg2
718 Description: metapackages for debtags.debian.net dependencies
719  This package depends on everything that is needed for debtags.debian.net.
720
721 Package: debian.org-sso.debian.org
722 Architecture: all
723 Depends: libcatalyst-modules-perl,
724         libcatalyst-engine-apache-perl,
725         libapache2-mod-perl2,
726         libapache2-reload-perl,
727         libcatalyst-devel-perl,
728         libhtml-mason-perl,
729         python-django (>= 1.5),
730         python-django-south
731 Description: metapackages for sso.debian.org dependencies
732  This package depends on everything that is needed for sso.debian.org.
733
734 Package: debian.org-lists.debian.org
735 Architecture: all
736 Depends: xapian-tools,
737         xapian-omega,
738         smartlist,
739         procmail,
740         gnuplot,
741         rrdtool,
742         libdpkg-perl,
743         gettext,
744         grepmail,
745         libcompress-raw-zlib-perl,
746         amavisd-new,
747         amavis-lists,
748         zoo,
749         lha,
750         p7zip,
751         unrar-free,
752         ripole,
753         pfqueue,
754         pyzor,
755         razor,
756         mrtgutils,
757         pax,
758         pwgen,
759         rbldnsd,
760         rng-tools,
761         speedy-cgi-perl,
762         ccze
763 Description: metapackages for lists.debian.org dependencies
764  This package depends on everything that is needed for lists.debian.org.
765
766 Package: debian.org-ddtp.debian.org
767 Architecture: all
768 Depends: libalgorithm-diff-xs-perl,
769         libdbd-pg-perl,
770         libdbi-perl,
771         libmail-sender-perl,
772         libmime-tools-perl,
773         libtext-diff-perl,
774         libtext-iconv-perl
775         ,
776         gnuplot
777         ,
778         libapache2-mod-wsgi,
779         python-setuptools,
780         python-psycopg2,
781         python-django,
782         python-sqlalchemy
783         ,
784         tig,
785         postgresql-client-9.1
786 Description: metapackages for ddtp.debian.org dependencies
787  This package depends on everything that is needed for ddtp.debian.org.
788
789 Package: debian.org-i18n.debian.org
790 Architecture: all
791 Depends: gettext,
792         po-debconf
793         ,
794         liblocale-gettext-perl,
795         libmailtools-perl,
796         libsoap-lite-perl,
797         libtimedate-perl
798         ,
799         tig,
800         rrdtool
801 Description: metapackages for i18n.debian.org dependencies
802  This package depends on everything that is needed for i18n.debian.org.
803
804 Package: debian.org-l10n.debian.org
805 Architecture: all
806 Depends: gettext,
807         po-debconf
808         ,
809         liblocale-gettext-perl,
810         libmailtools-perl,
811         libsoap-lite-perl,
812         libtimedate-perl
813         ,
814         tig,
815         rrdtool
816 Description: metapackages for l10n.debian.org dependencies
817  This package depends on everything that is needed for l10n.debian.org.
818
819 Package: debian.org-piuparts-master.debian.org
820 Architecture: all
821 Depends: debhelper,
822         asciidoc,
823         git,
824         xmlto,
825         python-debianbts,
826         apache2,
827         ghostscript,
828         python-rpy2,
829         r-base-dev,
830         r-recommended,
831         tango-icon-theme,
832         screen,
833         python-apt,
834         python-distro-info,
835         python-yaml,
836         libsoap-lite-perl
837 Description: metapackage for piuparts-master.debian.org
838  This package depends on all the packages that are needed for the
839  master in the piuparts.debian.org setup.
840
841 Package: debian.org-piuparts-slave.debian.org
842 Architecture: all
843 Depends: debhelper,
844         asciidoc,
845         git,
846         xmlto,
847         debootstrap (>= 1.0.60~bpo70),
848         debsums,
849         lsb-release,
850         lsof,
851         screen,
852         python-debian,
853         python-apt,
854         python-distro-info,
855         adequate
856 Description: metapackage for piuparts-slave.debian.org
857  This package depends on all the packages that are needed for the
858  slaves in the piuparts.debian.org setup.
859
860 Package: debian.org-wiki.debian.org
861 Architecture: all
862 Depends: libapache2-mod-wsgi,
863         libjson-perl,
864         python-moinmoin (>= 1.9.7-2~bpo7+1),
865         python-launchpadlib,
866         libsoap-lite-perl
867 Description: metapackage for wiki.debian.org
868  This package depends on all the packages that are needed for the Debian wiki
869
870 Package: debian.org-vote.debian.org
871 Architecture: all
872 Depends: libparse-recdescent-perl,
873         libmime-tools-perl,
874         libnet-ldap-perl,
875         libgnupg-interface-perl,
876         libmail-gnupg-perl,
877         graphviz
878 Description: metapackage for vote.debian.org
879  This package depends on all the packages that are needed for DeVoteE
880
881 Package: debian.org-bits.debian.org
882 Architecture: all
883 Depends: python-unidecode,
884         python-jinja2,
885         python-pygments,
886         python-docutils,
887         python-markdown,
888         python-tz,
889         python-typogrify,
890         python-six
891 # Also needed, to add when they are available in Debian and can be backported:
892 # feedgenerator (#702229), blinker (#702231), pelican (#702222)
893 Description: metapackage for bits.debian.org
894  This package depends on all the packages that are needed for the Debian
895  blog bits.debian.org
896
897 Package: debian.org-d-i.debian.org
898 Architecture: all
899 Depends: gnuplot,
900         libdate-manip-perl,
901         libemail-mime-perl,
902         libemail-sender-perl,
903         libfile-slurp-perl,
904         libgd-graph-perl,
905         libhtml-template-perl,
906         liblist-moreutils-perl,
907         libsort-versions-perl,
908         mr,
909         gettext,
910         graphviz,
911         fonts-liberation,
912         edos-distcheck,
913         liburi-perl,
914         edos-distcheck,
915         aspell,
916         libunicode-string-perl,
917 # Taken from d-i's manual (src:installation-guide)'s build-deps:
918         docbook,
919         docbook-xml,
920         docbook-xsl,
921         xsltproc,
922         gawk,
923         libhtml-parser-perl,
924         w3m,
925         poxml,
926         jadetex,
927         openjade | openjade1.3,
928         docbook-dsssl,
929         ghostscript,
930         texlive-lang-cyrillic,
931         texlive-lang-czechslovak,
932         texlive-lang-french,
933         texlive-lang-german,
934         texlive-lang-greek,
935         texlive-lang-italian,
936         texlive-lang-other,
937         texlive-lang-portuguese,
938         texlive-lang-spanish,
939         ko.tex-base,
940         cm-super,
941         po-debconf
942 Description: metapackage for d-i.debian.org
943  This package depends on all the packages that are needed for the
944  d-i.debian.org setup.
945
946 Package: debian.org-codesearch.debian.org
947 Architecture: all
948 Depends: dpkg-dev,
949         postgresql-client
950 Description: metapackage for codesearch.debian.org
951  This package depends on all the packages that are needed for the codesearch
952  setup.
953
954 Package: debian.org-dedup.debian.net
955 Architecture: all
956 Depends: curl,
957         python,
958         python-concurrent.futures,
959         python-debian,
960         python-imaging,
961         python-jinja2,
962         python-lzma,
963         python-pkg-resources,
964         python-werkzeug,
965         python-yaml,
966         sqlite3
967 Description: metapackage for dedup.debian.net
968  This package depends on all packages that are required for operating the
969  Debian duplication detector. The recommended packages are useful for debuging.
970
971 Package: debian.org-wnpp-by-tags.debian.net
972 Architecture: all
973 Depends: debtags, python-debian, python-beautifulsoup
974 Description: metapackage for wnpp-by-tags.debian.net
975  This package depends on all the packages that are needed for the wnpp-by-tags
976  setup.
977
978 Package: debian.org-blends.debian.org
979 Architecture: all
980 Depends: python-genshi,
981  python-markdown,
982  python-docutils,
983  python-debian,
984  python-psutil,
985  python-psycopg2,
986  python-apt,
987  postgresql-client
988 Description: metapackage for blends.debian.org
989  This package depends on all the packages that are needed for the
990  blends.debian.org setup.
991
992 Package: debian.org-pet.debian.net
993 Architecture: all
994 Depends: python-apt,
995          python-argparse,
996          python-debian,
997          python-debianbts,
998          python-inotifyx,
999          python-paste,
1000          python-psycopg2,
1001          python-pyramid,
1002          python-sqlalchemy,
1003          python-subversion
1004 Description: metapackages for pet.debian.net dependencies
1005  This package depends on everything that is needed for the PET setup.
1006
1007 Package: debian.org-dsa.debian.org
1008 Architecture: all
1009 Depends: ikiwiki, libtext-wikicreole-perl, libtext-wikiformat-perl, libtext-multimarkdown-perl
1010 Description: metapackages for dsa.debian.org master dependencies
1011  This package depends on everything that is needed for the service
1012
1013 Package: debian.org-dns.debian.org
1014 Architecture: all
1015 Depends: perl-doc,
1016         nagios-nrpe-plugin,
1017         sqlite3,
1018         libdata-compare-perl,
1019         libnet-dns-perl,
1020         libnet-dns-sec-perl,
1021         python-dnspython,
1022         python-yaml
1023 Description: metapackages for dns.debian.org master dependencies
1024  This package depends on everything that is needed for the service
1025
1026 Package: debian.org-nagios.debian.org
1027 Architecture: all
1028 Depends: icinga
1029 Description: metapackages for nagios.debian.org master dependencies
1030  This package depends on everything that is needed for the service and
1031  also provides the dpkg-diverts for the REMOTE_USER hack
1032
1033 Package: debian.org-derivs-census-patch-generation
1034 Architecture: all
1035 Depends: python,
1036          python-apt,
1037          python-debian,
1038          python-psycopg2,
1039          python-simplejson,
1040          python-yaml,
1041          dpkg-dev,
1042          patchutils,
1043          rsync,
1044          curl,
1045          make,
1046          lzip,
1047 Homepage: https://wiki.debian.org/Derivatives/Integration#Patches
1048 Description: metapackage for the derivatives census patch generation
1049  This package depends on everything that is needed for the service
1050
1051 Package: debian.org-httpredir.debian.org
1052 Architecture: all
1053 Depends: inoticoming,
1054          libanyevent-perl,
1055          libanyevent-http-perl,
1056          libev-perl,
1057          libtimedate-perl,
1058          libgeo-ip-perl,
1059          libwww-perl,
1060          liburi-perl,
1061          libplack-perl,
1062          starman
1063 Description: metapackage for http-redirector dependencies
1064  This package depends on everything that is needed for an instance of
1065  the http-redirector.
1066
1067 Package: debian.org-search.debian.org
1068 Architecture: all
1069 Depends: xapian-omega
1070 Description: metapackage for search.debian.org dependencies
1071  This package depends on everything that is needed for an instance of
1072  the www search engine (aka search.debian.org).